using System;

namespace InABox.Logikal
{

    public class LogikalBOMRequest : AbstractLogikalPartsRequest
    {

        public override LogikalMethod Method() => LogikalMethod.BOM;

        public Guid[] ElevationIDs { get; private set; }

        public LogikalBOMRequest(Guid projectid, Guid[] elevationids, string profileQuery, string componentQuery, string glassQuery, string labourQuery, bool includeExcelData)
        : base(projectid, profileQuery, componentQuery, glassQuery, labourQuery, includeExcelData)
        { 
            ElevationIDs = elevationids;
        }
    }


}